** Do not use without consent by: Katja Vinha, kvinha@gmail.com;

************************************************************************************
** This do file 
** 1. generates gets gps coordinates for IHS Malawi
**
** OUTPUTS
** 1. 
*************************************************************************************

** DATE MODIFIED:  September, 8, 2020;

cap log close
set more off
clear all
set mem 100m
#delimit ;

loc d1 			"C:\Users\Katja\Documents\CONSULTING/Malawi";

cap erase "`d1'\Results\logs\ihs_geo.smcl";
log using "`d1'\Results\logs\ihs_geo.smcl";

*****************;
***  IHS 2 ******;
*****************;
loc round			2;
loc data_in			"`d1'\Data\IHS`round'/.dta";				//input data;
loc data_fs`round'		"`d1'\Data\IHS`round'/geo_`round.dta";

use `data_in', clear;

****gps coordinates are not available in publicly released files;
*/;

*****************;
***  IHS 3 ******;
*****************;
loc round			3;
loc data_in			"`d1'\Data\IHS`round'/Geovariables\HH_level\householdgeovariables.dta";	  //input data;
loc data_geo`round'		"`d1'\Data\IHS`round'/geo_`round'.dta";

use `data_in', clear;

keep case_id lat_modified lon_modified;

gen round=3;
sort case_id;

save `data_geo`round'', replace;
*/;
*****************;
***  IHS 4 ******;
*****************;
loc round			4;
loc data_in			"`d1'\Data\IHS`round'/Geovariables\HH_level\HouseholdGeovariablesIHS4.dta";	  //input data;
loc data_geo`round'		"`d1'\Data\IHS`round'/geo_`round'.dta";

use `data_in', clear;


keep case_id lat_modified lon_modified;

gen round=4;

sort case_id;

save `data_geo`round'', replace;
/*
*****************;
***  IHS 5 ******;
*****************;
loc round			5;
loc data_in			"`d1'\Data\IHS`round'/Geovariables\HH_level\householdgeovariables.dta";	  //input data;
loc data_geo`round'		"`d1'\Data\IHS`round'/geo_`round'.dta";

use `data_in', clear;

keep case_id lat_modified lon_modified;

gen round=4;

sort case_id;

save `data_geo`round'', replace;